Datenmatrix <- read.table("C:/Users/bartz/Documents/IWNICA/rfSann02.res", 
  header=TRUE, sep="", na.strings="NA", dec=".", strip.white=TRUE)
library(relimp, pos=4)
showData(Datenmatrix, placement='-20+200', font=getRcmdr('logFont'), maxwidth=80, 
  maxheight=30)
Hist(Datenmatrix$Y, scale="frequency", breaks="Sturges", col="darkgray")
scatterplotMatrix(~TEMP+TMAX+Y, reg.line=lm, smooth=TRUE, spread=FALSE, 
  span=0.5, diagonal = 'density', data=Datenmatrix)
xyplot(Y ~ TEMP + TMAX, pch=16,
 auto.key=list(border=TRUE), par.settings = 
  simpleTheme(pch=16), scales=list(x=list(relation='same'), 
  y=list(relation='same')),
 data=Datenmatrix)
RegModel.1 <- lm(Y~TEMP+TMAX, data=Datenmatrix)
summary(RegModel.1)
attach(Datenmatrix)
yLog <- log(Y)
hist(yLog)
Datenmatrix <- cbind(yLog, Datenmatrix)
showData(Datenmatrix, placement='-20+200', font=getRcmdr('logFont'), 
  maxwidth=80, maxheight=30)
showData(Datenmatrix, placement='-20+200', font=getRcmdr('logFont'), 
  maxwidth=80, maxheight=30)
scatterplotMatrix(~TEMP+TMAX+yLog, reg.line=lm, smooth=TRUE, spread=FALSE, 
  span=0.5, diagonal = 'density', data=Datenmatrix)

