spotNoisyBraninFunction <- function (x, noise=0.0) {
	x1 <- x[1] 
	x2 <- x[2] 
	(x2 - 5.1/(4 * pi^2) * (x1^2) + 5/pi * x1 - 6)^2 + 10 * (1 - 1/(8 * pi)) * cos(x1) + 10 + noise*rnorm(1)
}


x0 = c(10,10)
maxit = 250
temp = 10
tmax = 10
optim(x0, spotNoisyBraninFunction, method="SANN", control=list(maxit=maxit, temp=temp, tmax=tmax))	
